Subject: Re: [BUG/RFC/PATCH] drm: Fix for non-coherent DMA PowerPC

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 04 Mar 2008 07:44:11 +1100

On Mon, 2008-03-03 at 20:51 +0100, Gerhard Pircher wrote:
> > Remove the GFP_HIGHMEM from the above. It looks like our cache
> > flushing isn't going to work for highmem, it would need some
> > kmap's for that.

> Yes, it looks like this was the problem. No kernel oops anymore.
> The machine locks up anyway (which is a well known hardware problem).
> It doesn't lock up with CPPIOMode=true, but probably only because the
> initialization of DRI fails with "BAD cp_mode (f0000000)!".

Damn, I wonder why you insist trying to make that machine work :-) The
hardware is just totally busted.

Ben.